Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.connectionmanager
Interface JBossManagedConnectionPoolMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  JBossManagedConnectionPool

public interface JBossManagedConnectionPoolMBean
extends org.jboss.system.ServiceMBean

MBean interface.

Field Summary
`static javax.management.ObjectName` | `OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`void` | `flush()` The `flush` method puts all currently checked out connections on a list to be destroyed when returned and disposes of all current pooled connections.
`long` | `getAvailableConnectionCount()` Get number of available free connections
`int` | `getBlockingTimeoutMillis()` The BlockingTimeoutMillis attribute indicates the maximum time to block while waiting for a connection before throwing an exception.
`int` | `getConnectionCount()` Retrieve the connection count.
`int` | `getConnectionCreatedCount()` Retrieve the connection created count.
`int` | `getConnectionDestroyedCount()` Retrieve the destrooyed count.
`String` | `getCriteria()` The Criteria attribute indicates if Subject (from security domain) or app supplied parameters (such as from getConnection(user, pw)) are used to distinguish connections in the pool.
`long` | `getIdleTimeoutMinutes()` The IdleTimeoutMinutes attribute indicates the maximum time a connection may be idle before being closed.
`long` | `getInUseConnectionCount()` Get number of connections currently in use
`javax.management.ObjectName` | `getManagedConnectionFactoryName()` ManagedConnectionFactoryName holds the ObjectName of the mbean that represents the ManagedConnectionFactory.
`ManagedConnectionPool` | `getManagedConnectionPool()` ManagedConnectionPool is a read only attribute returning the pool set up by this mbean.
`long` | `getMaxConnectionsInUseCount()`
`int` | `getMaxSize()` The MaxSize attribute indicates the maximum number of connections for a pool.
`int` | `getMinSize()` The MinSize attribute indicates the minimum number of connections this pool should hold.
`boolean` | `getNoTxSeparatePools()` Separate pools for transactional use
`void` | `setBlockingTimeoutMillis(int newBlockingTimeout)` Set the BlockingTimeout value.
`void` | `setCriteria(String newCriteria)` Set the Criteria value.
`void` | `setIdleTimeoutMinutes(long newIdleTimeoutMinutes)` Set the IdleTimeoutMinutes value.
`void` | `setManagedConnectionFactoryName(javax.management.ObjectName newManagedConnectionFactoryName)` Set the ManagedConnectionFactoryName value.
`void` | `setMaxSize(int newMaxSize)` Set the MaxSize value.
`void` | `setMinSize(int newMinSize)` Set the MinSize value.
`void` | `setNoTxSeparatePools(boolean value)`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### OBJECT_NAME

    public static final javax.management.ObjectName OBJECT_NAME

Method Detail

### getManagedConnectionPool

    public ManagedConnectionPool getManagedConnectionPool()

  ManagedConnectionPool is a read only attribute returning the pool set up by this mbean.

  Returns:
    the ManagedConnectionPool implementing the pool configured by this mbean.

### getManagedConnectionFactoryName

    public javax.management.ObjectName getManagedConnectionFactoryName()

  ManagedConnectionFactoryName holds the ObjectName of the mbean that represents the ManagedConnectionFactory. Normally this can be an embedded mbean in a depends element rather than a separate mbean reference.

  Returns:
    the ManagedConnectionFactoryName value.

### setManagedConnectionFactoryName

    public void setManagedConnectionFactoryName(javax.management.ObjectName newManagedConnectionFactoryName)

  Set the ManagedConnectionFactoryName value.

  Parameters:
    `newManagedConnectionFactoryName` - The new ManagedConnectionFactoryName value.

### getAvailableConnectionCount

    public long getAvailableConnectionCount()

  Get number of available free connections

  Returns:
    number of available connections

### getMaxConnectionsInUseCount

    public long getMaxConnectionsInUseCount()

### getInUseConnectionCount

    public long getInUseConnectionCount()

  Get number of connections currently in use

  Returns:
    number of connections currently in use

### getMinSize

    public int getMinSize()

  The MinSize attribute indicates the minimum number of connections this pool should hold. These are not created until a Subject is known from a request for a connection. MinSize connections will be created for each sub-pool.

  Returns:
    the MinSize value.

### setMinSize

    public void setMinSize(int newMinSize)

  Set the MinSize value.

  Parameters:
    `newMinSize` - The new MinSize value.

### getMaxSize

    public int getMaxSize()

  The MaxSize attribute indicates the maximum number of connections for a pool. No more than MaxSize connections will be created in each sub-pool.

  Returns:
    the MaxSize value.

### setMaxSize

    public void setMaxSize(int newMaxSize)

  Set the MaxSize value.

  Parameters:
    `newMaxSize` - The new MaxSize value.

### getBlockingTimeoutMillis

    public int getBlockingTimeoutMillis()

  The BlockingTimeoutMillis attribute indicates the maximum time to block while waiting for a connection before throwing an exception. Note that this blocks only while waiting for a permit for a connection, and will never throw an exception if creating a new connection takes an inordinately long time.

  Returns:
    the BlockingTimeout value.

### setBlockingTimeoutMillis

    public void setBlockingTimeoutMillis(int newBlockingTimeout)

  Set the BlockingTimeout value.

  Parameters:
    `newBlockingTimeout` - The new BlockingTimeout value.

### getIdleTimeoutMinutes

    public long getIdleTimeoutMinutes()

  The IdleTimeoutMinutes attribute indicates the maximum time a connection may be idle before being closed. The actual maximum time depends also on the IdleRemover scan time, which is 1/2 the smallest IdleTimeout of any pool.

  Returns:
    the IdleTimeoutMinutes value.

### setIdleTimeoutMinutes

    public void setIdleTimeoutMinutes(long newIdleTimeoutMinutes)

  Set the IdleTimeoutMinutes value.

  Parameters:
    `newIdleTimeoutMinutes` - The new IdleTimeoutMinutes value.

### getCriteria

    public String getCriteria()

  The Criteria attribute indicates if Subject (from security domain) or app supplied parameters (such as from getConnection(user, pw)) are used to distinguish connections in the pool. Choices are ByContainerAndApplication (use both), ByContainer (use Subject), ByApplication (use app supplied params only), ByNothing (all connections are equivalent, usually if adapter supports reauthentication)

  Returns:
    the Criteria value.

### setCriteria

    public void setCriteria(String newCriteria)

  Set the Criteria value.

  Parameters:
    `newCriteria` - The new Criteria value.

### getNoTxSeparatePools

    public boolean getNoTxSeparatePools()

  Separate pools for transactional use

  Returns:
    true when connections should have different pools for transactional and non-transaction use.

### setNoTxSeparatePools

    public void setNoTxSeparatePools(boolean value)

### flush

    public void flush()

  The `flush` method puts all currently checked out connections on a list to be destroyed when returned and disposes of all current pooled connections.

### getConnectionCount

    public int getConnectionCount()

  Retrieve the connection count.

  Returns:
    the connection count

### getConnectionCreatedCount

    public int getConnectionCreatedCount()

  Retrieve the connection created count.

  Returns:
    the connection created count

### getConnectionDestroyedCount

    public int getConnectionDestroyedCount()

  Retrieve the destrooyed count.

  Returns:
    the destroyed count

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.